// generated from rosidl_generator_c/resource/msg__struct.h.em
// generated code does not contain a copyright notice

#ifndef NMEA_MSGS__MSG__GPGGA__STRUCT_H_
#define NMEA_MSGS__MSG__GPGGA__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// include message dependencies
// header
#include "std_msgs/msg/header__struct.h"
// message_id
// lat_dir
// lon_dir
// altitude_units
// undulation_units
// station_id
#include "rosidl_generator_c/string.h"

/// Struct of message nmea_msgs/Gpgga
typedef struct nmea_msgs__msg__Gpgga
{
  std_msgs__msg__Header header;
  rosidl_generator_c__String message_id;
  double utc_seconds;
  double lat;
  double lon;
  rosidl_generator_c__String lat_dir;
  rosidl_generator_c__String lon_dir;
  uint32_t gps_qual;
  uint32_t num_sats;
  float hdop;
  float alt;
  rosidl_generator_c__String altitude_units;
  float undulation;
  rosidl_generator_c__String undulation_units;
  uint32_t diff_age;
  rosidl_generator_c__String station_id;
} nmea_msgs__msg__Gpgga;

/// Struct for an array of messages
typedef struct nmea_msgs__msg__Gpgga__Sequence
{
  nmea_msgs__msg__Gpgga * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} nmea_msgs__msg__Gpgga__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NMEA_MSGS__MSG__GPGGA__STRUCT_H_
